# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

<!-- insertion marker -->
## Unreleased

<small>[Compare with latest](https://github.com/Evan-Kim2028/mev_commit_sdk_py/compare/v0.1.5...HEAD)</small>

### Features

- enable changelog ([f9674e5](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/f9674e5179ed241c3cbdd5d704739e1c1905544a) by Evan K).

<!-- insertion marker -->
## [v0.1.5](https://github.com/Evan-Kim2028/mev_commit_sdk_py/releases/tag/v0.1.5) - 2024-07-21

<small>[Compare with v0.1.4](https://github.com/Evan-Kim2028/mev_commit_sdk_py/compare/v0.1.4...v0.1.5)</small>

### Features

- cleanup examples ([943199d](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/943199d1e25489d7f1db92503d6006a6b6ede814) by Evan K).

## [v0.1.4](https://github.com/Evan-Kim2028/mev_commit_sdk_py/releases/tag/v0.1.4) - 2024-07-21

<small>[Compare with v0.1.3](https://github.com/Evan-Kim2028/mev_commit_sdk_py/compare/v0.1.3...v0.1.4)</small>

### Features

- add more robust timing logs for querys ([f247b28](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/f247b28e8f4e36037f4ad379de37b02918320bcb) by Evan K).
- make eth locked calculation more accurate in example ([121a8c4](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/121a8c4699111088ef98d073bf746302dcf8c111) by Evan K).

## [v0.1.3](https://github.com/Evan-Kim2028/mev_commit_sdk_py/releases/tag/v0.1.3) - 2024-07-21

<small>[Compare with first commit](https://github.com/Evan-Kim2028/mev_commit_sdk_py/compare/70af342580656dc9ada0232e897fcd3833dd590d...v0.1.3)</small>

### Features

- update example with new function inputs ([e5ab8e6](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/e5ab8e6528108696f6bca4e5e8c9c4c1c8cc1b0a) by Evan K).
- bump version ([2aefffb](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/2aefffb2cc2dd8c6130a0f409b35dd2e8120664e) by Evan K).
- refactor and streamline withdraw/deposit function params ([70b83d5](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/70b83d536cb1f890637be23f33a45e3f5dd475ce) by Evan K).
- add get window withdraw ([486fed0](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/486fed050b79759a5c6e13a35bac74a27a681837) by Evan K).
- integrate conversion directly to query ([a28b0e8](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/a28b0e8c5e4a51a9d3b864f924dcded0f3ad21e8) by Evan K).
- hex to str ([790e8d9](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/790e8d91b4d36856a5127fb1b8eeb4bb040873fa) by Evan K).
- add save data feature to l1 block event function ([239381f](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/239381fe815488dbeeac5c6a86d2eaef60193902) by Evan K).
- add topic into query ([e5ab631](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/e5ab6314fe48626edb7526d22aca25a1ce1963be) by Evan K).
- get deposits using hypersync ([4b84753](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/4b84753e3974a945feb0f6c1c353b6cb7b0e78b0) by Evan K).
- update blocks txs example with explicit RPC ([7f4e5be](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/7f4e5be594950fd6af2a00ade3835d7dc80b3fa3) by Evan K).
- add web3 script examples ([1394271](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/13942713e189c1bcf0ca7611d1d69188527c2382) by Evan K).
- add bidder deposit/withdraw window lookup ([89d72f3](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/89d72f3d55a7bd1757d89537e82f7a522f98d59c) by Evan K).
- add optional url ([dcbb7d9](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/dcbb7d9e0bb302b59f7f1a3dae0aa2cb1f3e7108) by Evan K).
- add byte to string ([20670a0](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/20670a0aaceb7e4d7b1c03463b7f67c1b6ec999b) by Evan K).
- convert example to python file ([2648e2e](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/2648e2eb1ed10ad742a8e62cf13044cc14d741b1) by Evan K).
- add l1 block event query ([3f6ee90](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/3f6ee90c27f145aec3d4a9c0d16f54355df8f553) by Evan K).
- add notebook example to get blocks and txs ([cd1577f](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/cd1577fef0d2be2e2dd0917273f588b3b0488e95) by Evan K).
- separate cryo and hypersync clients ([e435c6e](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/e435c6e2174693f1a452cfa21aedd0e7efac8901) by Evan K).
- add notebooks as recipes to query mev-commit logs ([f538919](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/f538919bb5c304ee59c63f49344b49d7c4e7bc38) by Evan K).
- optimize query params ([3a403d3](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/3a403d310ea198808efdcfc313c42d2a7c257e4a) by Evan K).
- add get_preconf comit ([abcac83](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/abcac838a7cc35ead0e2f1ec4e61fe6039eeb6ec) by Evan K).
- add .env for RPC endpoint ([81632af](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/81632af4c49d3a6b43b694697987e2398010c00f) by Evan K).

### Bug Fixes

- convert window from float to int ([35c6ab0](https://github.com/Evan-Kim2028/mev_commit_sdk_py/commit/35c6ab0e37315c0ebdc1354d744e6501da20d28c) by Evan K).

